Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.api.javaee6
Interface DataSourceType<T>

All Superinterfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>

All Known Implementing Classes:
  DataSourceTypeImpl

    public interface DataSourceType<T>

extends org.jboss.shrinkwrap.descriptor.api.Child<T>

This interface defines the contract for the `data-sourceType` xsd type

Original Documentation:

Configuration of a DataSource.

Since:
  Generation date :2011-07-19T22:55:02.759+02:00
Author:
  Ralf Battenfeld

Method Summary
`java.lang.String` | `getClassName()` Returns the `class-name` element
`java.lang.String` | `getDatabaseName()` Returns the `database-name` element
`java.lang.String` | `getDescription()` Returns the `description` element
`java.lang.Integer` | `getInitialPoolSize()` Returns the `initial-pool-size` element
`IsolationLevelType` | `getIsolationLevel()` Returns the `isolation-level` element
`java.lang.String` | `getIsolationLevelAsString()` Returns the `isolation-level` element
`java.lang.Integer` | `getLoginTimeout()` Returns the `login-timeout` element
`java.lang.Integer` | `getMaxIdleTime()` Returns the `max-idle-time` element
`java.lang.Integer` | `getMaxPoolSize()` Returns the `max-pool-size` element
`java.lang.Integer` | `getMaxStatements()` Returns the `max-statements` element
`java.lang.Integer` | `getMinPoolSize()` Returns the `min-pool-size` element
`java.lang.String` | `getName()` Returns the `name` element
`java.lang.String` | `getPassword()` Returns the `password` element
`java.lang.Integer` | `getPortNumber()` Returns the `port-number` element
`java.util.List<PropertyType<DataSourceType<T>>>` | `getPropertyList()` Returns all `property` elements
`java.lang.String` | `getServerName()` Returns the `server-name` element
`java.lang.String` | `getUrl()` Returns the `url` element
`java.lang.String` | `getUser()` Returns the `user` element
`java.lang.Boolean` | `isTransactional()` Returns the `transactional` element
`PropertyType<DataSourceType<T>>` | `property()` Returns the `property` element
`DataSourceType<T>` | `removeAllProperty()` Removes all `property` elements
`DataSourceType<T>` | `removeClassName()` Removes the `class-name` element
`DataSourceType<T>` | `removeDatabaseName()` Removes the `database-name` element
`DataSourceType<T>` | `removeDescription()` Removes the `description` element
`DataSourceType<T>` | `removeInitialPoolSize()` Removes the `initial-pool-size` element
`DataSourceType<T>` | `removeLoginTimeout()` Removes the `login-timeout` element
`DataSourceType<T>` | `removeMaxIdleTime()` Removes the `max-idle-time` element
`DataSourceType<T>` | `removeMaxPoolSize()` Removes the `max-pool-size` element
`DataSourceType<T>` | `removeMaxStatements()` Removes the `max-statements` element
`DataSourceType<T>` | `removeMinPoolSize()` Removes the `min-pool-size` element
`DataSourceType<T>` | `removeName()` Removes the `name` element
`DataSourceType<T>` | `removePassword()` Removes the `password` element
`DataSourceType<T>` | `removePortNumber()` Removes the `port-number` element
`DataSourceType<T>` | `removeServerName()` Removes the `server-name` element
`DataSourceType<T>` | `removeTransactional()` Removes the `transactional` element
`DataSourceType<T>` | `removeUrl()` Removes the `url` element
`DataSourceType<T>` | `removeUser()` Removes the `user` element
`DataSourceType<T>` | `setClassName(java.lang.String className)` If not already created, a new `class-name` element with the given value will be created.
`DataSourceType<T>` | `setDatabaseName(java.lang.String databaseName)` If not already created, a new `database-name` element with the given value will be created.
`DataSourceType<T>` | `setDescription(java.lang.String description)` If not already created, a new `description` element with the given value will be created.
`DataSourceType<T>` | `setInitialPoolSize(java.lang.Integer initialPoolSize)` If not already created, a new `initial-pool-size` element with the given value will be created.
`DataSourceType<T>` | `setIsolationLevel(IsolationLevelType isolationLevel)` If not already created, a new `isolation-level` element with the given value will be created.
`DataSourceType<T>` | `setIsolationLevel(java.lang.String isolationLevel)` If not already created, a new `isolation-level` element with the given value will be created.
`DataSourceType<T>` | `setLoginTimeout(java.lang.Integer loginTimeout)` If not already created, a new `login-timeout` element with the given value will be created.
`DataSourceType<T>` | `setMaxIdleTime(java.lang.Integer maxIdleTime)` If not already created, a new `max-idle-time` element with the given value will be created.
`DataSourceType<T>` | `setMaxPoolSize(java.lang.Integer maxPoolSize)` If not already created, a new `max-pool-size` element with the given value will be created.
`DataSourceType<T>` | `setMaxStatements(java.lang.Integer maxStatements)` If not already created, a new `max-statements` element with the given value will be created.
`DataSourceType<T>` | `setMinPoolSize(java.lang.Integer minPoolSize)` If not already created, a new `min-pool-size` element with the given value will be created.
`DataSourceType<T>` | `setName(java.lang.String name)` If not already created, a new `name` element with the given value will be created.
`DataSourceType<T>` | `setPassword(java.lang.String password)` If not already created, a new `password` element with the given value will be created.
`DataSourceType<T>` | `setPortNumber(java.lang.Integer portNumber)` If not already created, a new `port-number` element with the given value will be created.
`DataSourceType<T>` | `setServerName(java.lang.String serverName)` If not already created, a new `server-name` element with the given value will be created.
`DataSourceType<T>` | `setTransactional(java.lang.Boolean transactional)` If not already created, a new `transactional` element with the given value will be created.
`DataSourceType<T>` | `setUrl(java.lang.String url)` If not already created, a new `url` element with the given value will be created.
`DataSourceType<T>` | `setUser(java.lang.String user)` If not already created, a new `user` element with the given value will be created.

Methods inherited from interface org.jboss.shrinkwrap.descriptor.api.Child
`up`

Method Detail

### setDescription

    DataSourceType<T> setDescription(java.lang.String description)

  If not already created, a new `description` element with the given value will be created. Otherwise, the existing `description` element will be updated with the given value.

  Returns:
    the current instance of `DataSourceType`

### removeDescription

    DataSourceType<T> removeDescription()

  Removes the `description` element

  Returns:
    the current instance of `DataSourceType`

### getDescription

    java.lang.String getDescription()

  Returns the `description` element

  Returns:
    the node defined for the element `description`

### setName

    DataSourceType<T> setName(java.lang.String name)

  If not already created, a new `name` element with the given value will be created. Otherwise, the existing `name` element will be updated with the given value.

  Returns:
    the current instance of `DataSourceType`

### removeName

    DataSourceType<T> removeName()

  Removes the `name` element

  Returns:
    the current instance of `DataSourceType`

### getName

    java.lang.String getName()

  Returns the `name` element

  Returns:
    the node defined for the element `name`

### setClassName

    DataSourceType<T> setClassName(java.lang.String className)

  If not already created, a new `class-name` element with the given value will be created. Otherwise, the existing `class-name` element will be updated with the given value.

  Returns:
    the current instance of `DataSourceType`

### removeClassName

    DataSourceType<T> removeClassName()

  Removes the `class-name` element

  Returns:
    the current instance of `DataSourceType`

### getClassName

    java.lang.String getClassName()

  Returns the `class-name` element

  Returns:
    the node defined for the element `class-name`

### setServerName

    DataSourceType<T> setServerName(java.lang.String serverName)

  If not already created, a new `server-name` element with the given value will be created. Otherwise, the existing `server-name` element will be updated with the given value.

  Returns:
    the current instance of `DataSourceType`

### removeServerName

    DataSourceType<T> removeServerName()

  Removes the `server-name` element

  Returns:
    the current instance of `DataSourceType`

### getServerName

    java.lang.String getServerName()

  Returns the `server-name` element

  Returns:
    the node defined for the element `server-name`

### setPortNumber

    DataSourceType<T> setPortNumber(java.lang.Integer portNumber)

  If not already created, a new `port-number` element with the given value will be created. Otherwise, the existing `port-number` element will be updated with the given value.

  Returns:
    the current instance of `DataSourceType`

### removePortNumber

    DataSourceType<T> removePortNumber()

  Removes the `port-number` element

  Returns:
    the current instance of `DataSourceType`

### getPortNumber

    java.lang.Integer getPortNumber()

  Returns the `port-number` element

  Returns:
    the node defined for the element `port-number`

### setDatabaseName

    DataSourceType<T> setDatabaseName(java.lang.String databaseName)

  If not already created, a new `database-name` element with the given value will be created. Otherwise, the existing `database-name` element will be updated with the given value.

  Returns:
    the current instance of `DataSourceType`

### removeDatabaseName

    DataSourceType<T> removeDatabaseName()

  Removes the `database-name` element

  Returns:
    the current instance of `DataSourceType`

### getDatabaseName

    java.lang.String getDatabaseName()

  Returns the `database-name` element

  Returns:
    the node defined for the element `database-name`

### setUrl

    DataSourceType<T> setUrl(java.lang.String url)

  If not already created, a new `url` element with the given value will be created. Otherwise, the existing `url` element will be updated with the given value.

  Returns:
    the current instance of `DataSourceType`

### removeUrl

    DataSourceType<T> removeUrl()

  Removes the `url` element

  Returns:
    the current instance of `DataSourceType`

### getUrl

    java.lang.String getUrl()

  Returns the `url` element

  Returns:
    the node defined for the element `url`

### setUser

    DataSourceType<T> setUser(java.lang.String user)

  If not already created, a new `user` element with the given value will be created. Otherwise, the existing `user` element will be updated with the given value.

  Returns:
    the current instance of `DataSourceType`

### removeUser

    DataSourceType<T> removeUser()

  Removes the `user` element

  Returns:
    the current instance of `DataSourceType`

### getUser

    java.lang.String getUser()

  Returns the `user` element

  Returns:
    the node defined for the element `user`

### setPassword

    DataSourceType<T> setPassword(java.lang.String password)

  If not already created, a new `password` element with the given value will be created. Otherwise, the existing `password` element will be updated with the given value.

  Returns:
    the current instance of `DataSourceType`

### removePassword

    DataSourceType<T> removePassword()

  Removes the `password` element

  Returns:
    the current instance of `DataSourceType`

### getPassword

    java.lang.String getPassword()

  Returns the `password` element

  Returns:
    the node defined for the element `password`

### removeAllProperty

    DataSourceType<T> removeAllProperty()

  Removes all `property` elements

  Returns:
    the current instance of `DataSourceType`

### property

    PropertyType<DataSourceType<T>> property()

  Returns the `property` element

  Returns:
    the node defined for the element `property`

### getPropertyList

    java.util.List<PropertyType<DataSourceType<T>>> getPropertyList()

  Returns all `property` elements

  Returns:
    list of `property`

### setLoginTimeout

    DataSourceType<T> setLoginTimeout(java.lang.Integer loginTimeout)

  If not already created, a new `login-timeout` element with the given value will be created. Otherwise, the existing `login-timeout` element will be updated with the given value.

  Returns:
    the current instance of `DataSourceType`

### removeLoginTimeout

    DataSourceType<T> removeLoginTimeout()

  Removes the `login-timeout` element

  Returns:
    the current instance of `DataSourceType`

### getLoginTimeout

    java.lang.Integer getLoginTimeout()

  Returns the `login-timeout` element

  Returns:
    the node defined for the element `login-timeout`

### setTransactional

    DataSourceType<T> setTransactional(java.lang.Boolean transactional)

  If not already created, a new `transactional` element with the given value will be created. Otherwise, the existing `transactional` element will be updated with the given value.

  Returns:
    the current instance of `DataSourceType`

### removeTransactional

    DataSourceType<T> removeTransactional()

  Removes the `transactional` element

  Returns:
    the current instance of `DataSourceType`

### isTransactional

    java.lang.Boolean isTransactional()

  Returns the `transactional` element

  Returns:
    the node defined for the element `transactional`

### setIsolationLevel

    DataSourceType<T> setIsolationLevel(IsolationLevelType isolationLevel)

  If not already created, a new `isolation-level` element with the given value will be created. Otherwise, the existing `isolation-level` element will be updated with the given value.

  Returns:
    the current instance of `DataSourceType`

### setIsolationLevel

    DataSourceType<T> setIsolationLevel(java.lang.String isolationLevel)

  If not already created, a new `isolation-level` element with the given value will be created. Otherwise, the existing `isolation-level` element will be updated with the given value.

  Returns:
    the current instance of `DataSourceType`

### getIsolationLevel

    IsolationLevelType getIsolationLevel()

  Returns the `isolation-level` element

  Returns:
    the node defined for the element `isolation-level`

### getIsolationLevelAsString

    java.lang.String getIsolationLevelAsString()

  Returns the `isolation-level` element

  Returns:
    the node defined for the element `isolation-level`

### setInitialPoolSize

    DataSourceType<T> setInitialPoolSize(java.lang.Integer initialPoolSize)

  If not already created, a new `initial-pool-size` element with the given value will be created. Otherwise, the existing `initial-pool-size` element will be updated with the given value.

  Returns:
    the current instance of `DataSourceType`

### removeInitialPoolSize

    DataSourceType<T> removeInitialPoolSize()

  Removes the `initial-pool-size` element

  Returns:
    the current instance of `DataSourceType`

### getInitialPoolSize

    java.lang.Integer getInitialPoolSize()

  Returns the `initial-pool-size` element

  Returns:
    the node defined for the element `initial-pool-size`

### setMaxPoolSize

    DataSourceType<T> setMaxPoolSize(java.lang.Integer maxPoolSize)

  If not already created, a new `max-pool-size` element with the given value will be created. Otherwise, the existing `max-pool-size` element will be updated with the given value.

  Returns:
    the current instance of `DataSourceType`

### removeMaxPoolSize

    DataSourceType<T> removeMaxPoolSize()

  Removes the `max-pool-size` element

  Returns:
    the current instance of `DataSourceType`

### getMaxPoolSize

    java.lang.Integer getMaxPoolSize()

  Returns the `max-pool-size` element

  Returns:
    the node defined for the element `max-pool-size`

### setMinPoolSize

    DataSourceType<T> setMinPoolSize(java.lang.Integer minPoolSize)

  If not already created, a new `min-pool-size` element with the given value will be created. Otherwise, the existing `min-pool-size` element will be updated with the given value.

  Returns:
    the current instance of `DataSourceType`

### removeMinPoolSize

    DataSourceType<T> removeMinPoolSize()

  Removes the `min-pool-size` element

  Returns:
    the current instance of `DataSourceType`

### getMinPoolSize

    java.lang.Integer getMinPoolSize()

  Returns the `min-pool-size` element

  Returns:
    the node defined for the element `min-pool-size`

### setMaxIdleTime

    DataSourceType<T> setMaxIdleTime(java.lang.Integer maxIdleTime)

  If not already created, a new `max-idle-time` element with the given value will be created. Otherwise, the existing `max-idle-time` element will be updated with the given value.

  Returns:
    the current instance of `DataSourceType`

### removeMaxIdleTime

    DataSourceType<T> removeMaxIdleTime()

  Removes the `max-idle-time` element

  Returns:
    the current instance of `DataSourceType`

### getMaxIdleTime

    java.lang.Integer getMaxIdleTime()

  Returns the `max-idle-time` element

  Returns:
    the node defined for the element `max-idle-time`

### setMaxStatements

    DataSourceType<T> setMaxStatements(java.lang.Integer maxStatements)

  If not already created, a new `max-statements` element with the given value will be created. Otherwise, the existing `max-statements` element will be updated with the given value.

  Returns:
    the current instance of `DataSourceType`

### removeMaxStatements

    DataSourceType<T> removeMaxStatements()

  Removes the `max-statements` element

  Returns:
    the current instance of `DataSourceType`

### getMaxStatements

    java.lang.Integer getMaxStatements()

  Returns the `max-statements` element

  Returns:
    the node defined for the element `max-statements`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD